#
# spec file for package xtraceroute (Version 0.9.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gdk-pixbuf gdk-pixbuf-devel glib glib-devel gtk gtk-devel gtkglarea host_ew libjpeg libpng libtiff mesa mesa-devel mesasoft traceroute xf86 xf86glu xf86glu-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gdk-pixbuf gdk-pixbuf-devel gettext glib glib-devel glibc glibc-devel gpm gppshare grep groff gtk gtk-devel gtkglarea gzip host_ew kbd less libjpeg libpng libtiff libtool libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone traceroute unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

Name:         xtraceroute
Provides:     xtrcrout
Obsoletes:    xtrcrout
Copyright:    GPL
Group:        X11/Utilities 
Requires:     traceroute 
Requires:     host_ew
Autoreqprov:  on
Summary:      OpenGL frontend for traceroute
Version:      0.9.0
Release:      74
URL:          http://www.dtek.chalmers.se/~d3august/xt/index.html
Source:       xtraceroute-%{version}-simple_grid_map.tar.bz2
Source1:      README.SuSE
BuildRoot:    /var/tmp/%{name}-build

%description
On a graphical globe (which you can turn with your mouse) you
can watch the path that your IP-packets follow from you computer
to a distant host.

Authors:
--------
    Bjrn Augustsson <d3august@dtek.chalmers.se>

SuSE series: xap

%prep
%setup -n xtraceroute-%{version}
cp %{S:1} .

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --with-host=/usr/bin/host_ew
make 

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/usr mandir=$RPM_BUILD_ROOT/%{_mandir} install

%clean
rm -rf $RPM_BUILD_ROOT 

%files
%defattr(-,root,root)
/usr/share/xtraceroute
/usr/bin/xtraceroute
%doc AUTHORS BUGS COPYING ChangeLog INSTALL NEWS README TODO misc README.SuSE
/usr/share/locale/*/*/*
%doc %{_mandir}/man1/*

%changelog -n xtraceroute
* Wed Jul 25 2001 - nadvornik@suse.cz
- update to 0.9.0
- replaced texture earth.png, because it is probably copyrighted
- see http://www.radcyberzine.com/xglobe
* Thu Mar 15 2001 - ro@suse.de
- changed neededforbuild <mesaglu> to <xf86glu>
- changed neededforbuild <mesaglu-devel> to <xf86glu-devel>
* Wed Mar 07 2001 - ro@suse.de
- changed neededforbuild <mesadev> to <mesa-devel>
* Tue Jan 09 2001 - bjacke@suse.de
- fixed dependency for traceroute
* Fri Nov 10 2000 - nadvornik@suse.cz
- renamed xtrcrout -> xtraceroute
* Fri Nov 10 2000 - ro@suse.de
- neededforbuild gtkglare gtkglarea
* Sun Nov 05 2000 - ro@suse.de
- fixed neededforbuild
* Mon Oct 23 2000 - ro@suse.de
- added traceroute to neededforbuild
* Sat Sep 09 2000 - bjacke@suse.de
- fixed dependency for nkitb
* Thu Jun 22 2000 - nadvornik@suse.cz
- uncommented build-root clean
- used %%defattr
* Wed May 31 2000 - ro@suse.de
- added mesadev to neededforbuild
* Mon May 22 2000 - nadvornik@suse.cz
- changed group
* Wed May 17 2000 - nadvornik@suse.cz
- update to 0.8.14
- added BuildRoot
- used %%doc macro
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jul 13 1999 - bs@suse.de
- use gtk and glib instead of gtkn and glibn
* Tue Jun 15 1999 - ro@suse.de
- added mesasoft to neededforbuild
* Fri Feb 05 1999 - kettner@suse.de
- Created first SuSE Version 0.8.13
